
#ifndef  __MAGICK__IMAGE____H__
#define  __MAGICK__IMAGE____H__

#include <wand/MagickWand.h>

class MagickImage
{
public:
	MagickImage();
	~MagickImage();

	bool loadImage(char const *fname);
	unsigned long height();
	unsigned long width();

	unsigned char *getPixels();

	void resize(int w, int h);
	MagickImage *copy();

private:
	MagickImage(MagickImage const &other);

	static bool initialized;
	static unsigned int refs;

	MagickWand *wand;
	unsigned char *pixels;
};

#endif // __MAGICK__IMAGE____H__
