
#ifndef __MAGICK__WIDGET__H__
#define __MAGICK__WIDGET__H__

#include <FL/Fl_Widget.H>

class MagickImage;

class MagickWidget : public Fl_Widget
{
public:
	MagickWidget(int x, int y, int w, int h, char const*label = 0);
	virtual ~MagickWidget();

	virtual void draw();

	void setImage(MagickImage *im);

private:
	MagickImage *image;
};


#endif //__MAGICK__WIDGET__H__
